Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class XSD

    java.lang.Object
      com.hp.hpl.jena.vocabulary.XSD

    public class XSD

extends java.lang.Object

Defines Jena resources corresponding to the URIs for the XSD primitive datatypes which are known to Jena.

Version:
  $Revision: 1.13 $ on $Date: 2008/01/02 12:07:29 $
Author:
  Dave Reynolds

Field Summary
`static Resource` | `anyURI` Resource URI for xsd:anyURI
`static Resource` | `base64Binary` Resource URI for xsd:base64Binary
`static Resource` | `date` Resource URI for xsd:date
`static Resource` | `dateTime` Resource URI for xsd:dateTime
`static Resource` | `decimal` Resource URI for xsd:decimal
`static Resource` | `duration` Resource URI for xsd:duration
`static Resource` | `ENTITIES` Resource URI for xsd:ENTITIES
`static Resource` | `ENTITY` Resource URI for xsd:ENTITY
`static Resource` | `gDay` Resource URI for xsd:gDay
`static Resource` | `gMonth` Resource URI for xsd:gMonth
`static Resource` | `gMonthDay` Resource URI for xsd:gMonthDay
`static Resource` | `gYear` Resource URI for xsd:gYear
`static Resource` | `gYearMonth` Resource URI for xsd:gYearMonth
`static Resource` | `hexBinary` Resource URI for xsd:hexBinary
`static Resource` | `ID` Resource URI for xsd:ID
`static Resource` | `IDREF` Resource URI for xsd:IDREF
`static Resource` | `IDREFS` Resource URI for xsd:IDREFS
`static Resource` | `integer` Resource URI for xsd:integer
`static Resource` | `language` Resource URI for xsd:language
`static Resource` | `Name` Resource URI for xsd:Name
`static Resource` | `NCName` Resource URI for xsd:NCName
`static Resource` | `negativeInteger` Resource URI for xsd:negativeInteger
`static Resource` | `NMTOKEN` Resource URI for xsd:NMTOKEN
`static Resource` | `NMTOKENS` Resource URI for xsd:NMTOKENS
`static Resource` | `nonNegativeInteger` Resource URI for xsd:nonNegativeInteger
`static Resource` | `nonPositiveInteger` Resource URI for xsd:nonPositiveInteger
`static Resource` | `normalizedString` Resource URI for xsd:normalizedString
`static Resource` | `NOTATION` Resource URI for xsd:NOTATION
`static java.lang.String` | `NS` Deprecated. in order to transition to RDF-friendly version replaced by `getURI()`
`static Resource` | `positiveInteger` Resource URI for xsd:positiveInteger
`static Resource` | `QName` Resource URI for xsd:QName
`static Resource` | `time` Resource URI for xsd:time
`static Resource` | `token` Resource URI for xsd:token
`static Resource` | `unsignedByte` Resource URI for xsd:unsignedByte
`static Resource` | `unsignedInt` Resource URI for xsd:unsignedInt
`static Resource` | `unsignedLong` Resource URI for xsd:unsignedLong
`static Resource` | `unsignedShort` Resource URI for xsd:unsignedShort
`static Resource` | `xboolean` Resource URI for xsd:boolean
`static Resource` | `xbyte` Resource URI for xsd:byte
`static Resource` | `xdouble` Resource URI for xsd:double
`static Resource` | `xfloat` Resource URI for xsd:float
`static Resource` | `xint` Resource URI for xsd:int
`static Resource` | `xlong` Resource URI for xsd:long
`static Resource` | `xshort` Resource URI for xsd:short
`static Resource` | `xstring` Resource URI for xsd:string

Constructor Summary
`XSD()`

Method Summary
`static java.lang.String` | `getURI()` The RDF-friendly version of the XSD namespace with trailing # character.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static java.lang.String NS

  Deprecated. in order to transition to RDF-friendly version replaced by `getURI()`
  The XSD namespace. This is the real XML Schema namespace and so lacks the RDF-friendly # character.

### xfloat

    public static Resource xfloat

  Resource URI for xsd:float

### xdouble

    public static Resource xdouble

  Resource URI for xsd:double

### xint

    public static Resource xint

  Resource URI for xsd:int

### xlong

    public static Resource xlong

  Resource URI for xsd:long

### xshort

    public static Resource xshort

  Resource URI for xsd:short

### xbyte

    public static Resource xbyte

  Resource URI for xsd:byte

### xboolean

    public static Resource xboolean

  Resource URI for xsd:boolean

### xstring

    public static Resource xstring

  Resource URI for xsd:string

### unsignedByte

    public static Resource unsignedByte

  Resource URI for xsd:unsignedByte

### unsignedShort

    public static Resource unsignedShort

  Resource URI for xsd:unsignedShort

### unsignedInt

    public static Resource unsignedInt

  Resource URI for xsd:unsignedInt

### unsignedLong

    public static Resource unsignedLong

  Resource URI for xsd:unsignedLong

### decimal

    public static Resource decimal

  Resource URI for xsd:decimal

### integer

    public static Resource integer

  Resource URI for xsd:integer

### nonPositiveInteger

    public static Resource nonPositiveInteger

  Resource URI for xsd:nonPositiveInteger

### nonNegativeInteger

    public static Resource nonNegativeInteger

  Resource URI for xsd:nonNegativeInteger

### positiveInteger

    public static Resource positiveInteger

  Resource URI for xsd:positiveInteger

### negativeInteger

    public static Resource negativeInteger

  Resource URI for xsd:negativeInteger

### normalizedString

    public static Resource normalizedString

  Resource URI for xsd:normalizedString

### anyURI

    public static Resource anyURI

  Resource URI for xsd:anyURI

### token

    public static Resource token

  Resource URI for xsd:token

### Name

    public static Resource Name

  Resource URI for xsd:Name

### QName

    public static Resource QName

  Resource URI for xsd:QName

### language

    public static Resource language

  Resource URI for xsd:language

### NMTOKEN

    public static Resource NMTOKEN

  Resource URI for xsd:NMTOKEN

### ENTITIES

    public static Resource ENTITIES

  Resource URI for xsd:ENTITIES

### NMTOKENS

    public static Resource NMTOKENS

  Resource URI for xsd:NMTOKENS

### ENTITY

    public static Resource ENTITY

  Resource URI for xsd:ENTITY

### ID

    public static Resource ID

  Resource URI for xsd:ID

### NCName

    public static Resource NCName

  Resource URI for xsd:NCName

### IDREF

    public static Resource IDREF

  Resource URI for xsd:IDREF

### IDREFS

    public static Resource IDREFS

  Resource URI for xsd:IDREFS

### NOTATION

    public static Resource NOTATION

  Resource URI for xsd:NOTATION

### hexBinary

    public static Resource hexBinary

  Resource URI for xsd:hexBinary

### base64Binary

    public static Resource base64Binary

  Resource URI for xsd:base64Binary

### date

    public static Resource date

  Resource URI for xsd:date

### time

    public static Resource time

  Resource URI for xsd:time

### dateTime

    public static Resource dateTime

  Resource URI for xsd:dateTime

### duration

    public static Resource duration

  Resource URI for xsd:duration

### gDay

    public static Resource gDay

  Resource URI for xsd:gDay

### gMonth

    public static Resource gMonth

  Resource URI for xsd:gMonth

### gYear

    public static Resource gYear

  Resource URI for xsd:gYear

### gYearMonth

    public static Resource gYearMonth

  Resource URI for xsd:gYearMonth

### gMonthDay

    public static Resource gMonthDay

  Resource URI for xsd:gMonthDay

Constructor Detail

### XSD

    public XSD()

Method Detail

### getURI

    public static java.lang.String getURI()

  The RDF-friendly version of the XSD namespace with trailing # character.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP